Page MenuHomePhabricator

Fresh clone of pywikibot from gerrit fails with error: RPC failed; result=56, HTTP code = 200 on Toollabs (NFS)
Closed, ResolvedPublic

Description

Was setting up a fresh instance of pywikibot as described on https://www.mediawiki.org/wiki/Manual:Pywikibot/Installation/Labs and got this output:

tools.noclaims@tools-bastion-02:~$ git clone --recursive https://gerrit.wikimedia.org/r/pywikibot/core.git pywikibot
Cloning into 'pywikibot'...
remote: Counting objects: 1095, done
remote: Finding sources: 100% (59/59)
remote: Getting sizes: 100% (35/35)
remote: Compressing objects: 100% (921254/921254)
error: RPC failed; result=56, HTTP code = 200MiB | 1.54 MiB/s
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed
tools.noclaims@tools-bastion-02:~$

Not sure what is causing this so tagged it with the different related projects. Tried it multiple times, all same output.

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptNov 22 2016, 5:39 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald Transcript

Does the shared copy of this library not work for you?

root@tools-bastion-03:~# ls -al /shared/pywikipedia/core
lrwxrwxrwx 1 valhallasw project-tools 40 Dec 4 2013 /shared/pywikipedia/core -> /data/project/pywikibot/public_html/cor

Multichill reopened this task as Open.Nov 22 2016, 6:42 PM

@Paladox I'll try later
@chasemp That updates every night to master. Master is broken every once in a while (at least once a month) so I'd rather control the version myself. I'm not sure if it actually costs extra disk space, doesn't the underlying system have block based de-duplication?

That's a fair point on automatic updates, maybe there is a case to be made
not to do that all around. Probably so in my mind, and no the underlying
system does not that sophisticated so it's a definite cost for folks to go
their own way. But also understandable if that's what you need at the
moment.

Magul moved this task from Backlog to Upstream issues on the Pywikibot board.Nov 22 2016, 6:53 PM

Mentioned in SAL (#wikimedia-labs) [2016-12-17T20:11:29Z] <multichill> Set up the bot with a clone of https://github.com/multichill/toollabs and a symlinked pywikibot (git clone is broken see phab:T151351 )

Tried and failed. I ended up just making a symlink. I'm not going to spend time on this. Feel free to do whatever you like with this bug report (preferably fixing it).

demon renamed this task from Fresh clone of pywikibot from gerrit fails with error: RPC failed; result=56, HTTP code = 200 on Toollabs to Fresh clone of pywikibot from gerrit fails with error: RPC failed; result=56, HTTP code = 200 on Toollabs (NFS).
scfc triaged this task as Low priority.Feb 16 2017, 10:39 PM
scfc moved this task from Triage to Backlog on the Toolforge board.

I can not reproduce this anymore. Is this still valid?

Paladox closed this task as Declined.Nov 9 2018, 5:47 PM

I don't think so? Closing as declined as it seems to have resolved it's self (no progress in a year and a bit)

Multichill changed the task status from Declined to Resolved.Nov 10 2018, 1:35 PM
Multichill removed a project: Toolforge.

I don't think so? Closing as declined as it seems to have resolved it's self (no progress in a year and a bit)

You used the wrong closing code. Declined is for requests that we're not going to implement. In this case it seems to have resolved itself.